from __future__ import print_function
import argparse
import sys

p = argparse.ArgumentParser()
p.add_argument("--keywords", help="comma-separated list of words to look for")
p.add_argument("--lowercase", default=False, action="store_true")

args = p.parse_args()
wlist = set(args.keywords.strip().split(","))


for line in sys.stdin:
    line = line.strip()
    if args.lowercase:
        line = line.lower()
    linewords = set(line.split())
    if linewords.intersection(wlist):
        print(1)
    else:
        print(0)

    
